summaryrefslogtreecommitdiff
path: root/.travis.sh
diff options
context:
space:
mode:
authorBryan Hundven <bryanhundven@gmail.com>2015-12-08 17:09:49 (GMT)
committerBryan Hundven <bryanhundven@gmail.com>2015-12-08 18:55:17 (GMT)
commit9f89e082c5bcb3c49013eeeae0a1ccbac1d91ba9 (patch)
tree115b1bca266d57cc7e2c0940fd4f14ca415a888d /.travis.sh
parent514f1546d7fe83853c2c2020514e61a90cc26f95 (diff)
Whitespace: We don't use tabs in shell or kconfig files
We indent by multiples of 4. This change cleans up whitespace in offending files. Signed-off-by: Bryan Hundven <bryanhundven@gmail.com>
Diffstat (limited to '.travis.sh')
-rw-r--r--.travis.sh66
1 files changed, 33 insertions, 33 deletions
diff --git a/.travis.sh b/.travis.sh
index 90a439b..7cb6b14 100644
--- a/.travis.sh
+++ b/.travis.sh
@@ -4,42 +4,42 @@ export PATH="$(pwd):$PATH"
# Manage the travis build
ct-ng_travis_build()
{
- # Override the log behaviour
- sed -i -e 's/^.*\(CT_LOG_ERROR\).*$/# \1 is not set/' \
- -e 's/^.*\(CT_LOG_WARN\).*$/# \1 is not set/' \
- -e 's/^.*\(CT_LOG_INFO\).*$/# \1 is not set/' \
- -e 's/^.*\(CT_LOG_EXTRA\).*$/\1=y/' \
- -e 's/^.*\(CT_LOG_ALL\).*$/# \1 is not set/' \
- -e 's/^.*\(CT_LOG_DEBUG\).*$/# \1 is not set/' \
- -e 's/^.*\(CT_LOG_LEVEL_MAX\).*$/\1="EXTRA"/' \
- -e 's/^.*\(CT_LOG_PROGRESS_BAR\).*$/# \1 is not set/' \
- -e 's/^.*\(CT_LOCAL_TARBALLS_DIR\).*$/\1="${HOME}\/src"/' \
- -e 's/^.*\(CT_SAVE_TARBALLS\).*$/\1=y/' \
- .config
+ # Override the log behaviour
+ sed -i -e 's/^.*\(CT_LOG_ERROR\).*$/# \1 is not set/' \
+ -e 's/^.*\(CT_LOG_WARN\).*$/# \1 is not set/' \
+ -e 's/^.*\(CT_LOG_INFO\).*$/# \1 is not set/' \
+ -e 's/^.*\(CT_LOG_EXTRA\).*$/\1=y/' \
+ -e 's/^.*\(CT_LOG_ALL\).*$/# \1 is not set/' \
+ -e 's/^.*\(CT_LOG_DEBUG\).*$/# \1 is not set/' \
+ -e 's/^.*\(CT_LOG_LEVEL_MAX\).*$/\1="EXTRA"/' \
+ -e 's/^.*\(CT_LOG_PROGRESS_BAR\).*$/# \1 is not set/' \
+ -e 's/^.*\(CT_LOCAL_TARBALLS_DIR\).*$/\1="${HOME}\/src"/' \
+ -e 's/^.*\(CT_SAVE_TARBALLS\).*$/\1=y/' \
+ .config
- # Build the sample
- ct-ng build.2 &
- local build_pid=$!
+ # Build the sample
+ ct-ng build.2 &
+ local build_pid=$!
- # Start a runner task to print a "still running" line every 5 minutes
- # to avoid travis to think that the build is stuck
- {
- while true
- do
- sleep 300
- printf "Crosstool-NG is still running ...\r"
- done
- } &
- local runner_pid=$!
+ # Start a runner task to print a "still running" line every 5 minutes
+ # to avoid travis to think that the build is stuck
+ {
+ while true
+ do
+ sleep 300
+ printf "Crosstool-NG is still running ...\r"
+ done
+ } &
+ local runner_pid=$!
- # Wait for the build to finish and get the result
- wait $build_pid 2>/dev/null
- local result=$?
+ # Wait for the build to finish and get the result
+ wait $build_pid 2>/dev/null
+ local result=$?
- # Stop the runner task
- kill $runner_pid
- wait $runner_pid 2>/dev/null
+ # Stop the runner task
+ kill $runner_pid
+ wait $runner_pid 2>/dev/null
- # Return the result
- return $result
+ # Return the result
+ return $result
}